Intermittent browser_addons_debug_bootstrapped.js | This test exceeded the timeout threshold. It should be rewritten or split up.

RESOLVED FIXED in Firefox 49

Status

()

Firefox
Developer Tools: about:debugging
P2
normal
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: KWierso, Assigned: jdescottes)

Tracking

({intermittent-failure})

49 Branch
Firefox 50
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox49 fixed, firefox50 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

2 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=26658420&repo=mozilla-inbound

Updated

2 years ago
Priority: -- → P3

Updated

2 years ago
Priority: P3 → P2

Updated

2 years ago
See Also: → bug 1278111

Comment 1

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* ash: 2
* try: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 2

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-06-13&endday=2016-06-19&tree=all

Comment 3

2 years ago
21 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 4
* autoland: 4
* try: 1

Platform breakdown:
* linux64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-06-29&endday=2016-06-29&tree=all

Comment 4

2 years ago
58 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 27
* autoland: 16
* fx-team: 11
* mozilla-central: 2
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 58

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-06-27&endday=2016-07-03&tree=all

Comment 5

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 5
* mozilla-central: 2
* autoland: 1

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-04&endday=2016-07-04&tree=all

Comment 6

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 5
* mozilla-central: 2
* autoland: 2
* ash: 1

Platform breakdown:
* linux64: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-05&endday=2016-07-05&tree=all
Assignee: nobody → jdescottes
Status: NEW → ASSIGNED

Comment 7

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 12
* mozilla-inbound: 6
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-06&endday=2016-07-06&tree=all

Comment 8

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 5
* autoland: 4
* mozilla-central: 1

Platform breakdown:
* linux64: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-07&endday=2016-07-07&tree=all

Comment 9

a year ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* autoland: 7
* mozilla-central: 2
* fx-team: 2

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-08&endday=2016-07-08&tree=all
113 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 49
* autoland: 29
* fx-team: 24
* mozilla-central: 10
* ash: 1

Platform breakdown:
* linux64: 113

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-04&endday=2016-07-10&tree=all
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 7
* autoland: 4
* try: 1

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-12&endday=2016-07-12&tree=all
Julian, this intermittent may just be needing a requestLongerTimeout() call.

It seems to fail during test shutdown and may just be long to finish:

 23:46:47     INFO -  17 INFO TEST-PASS | devtools/client/aboutdebugging/test/browser_addons_debug_bootstrapped.js | After uninstall, the addon name disappears from the list of addons: Firefox Hello,FlyWeb,IndexedDBTest,Mochitest,mozscreenshots,Multi-process staged rollout,Pocket,Special Powers,Web Compat,WorkerTestBootstrap -
 23:46:47     INFO -  18 INFO Closing about:debugging
 23:46:47     INFO -  19 INFO Removing tab.
 23:46:47     INFO -  20 INFO Waiting for event: 'TabClose' on [object XULElement].
 23:46:47     INFO -  21 INFO Got event: 'TabClose' on [object XULElement].
 23:46:47     INFO -  22 INFO Tab removed and finished closing
 23:46:47     INFO -  23 INFO Leaving test bound
 23:46:47     INFO -  24 INFO TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_addons_debug_bootstrapped.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort.
(In reply to Alexandre Poirot [:ochameau] from comment #12)
> Julian, this intermittent may just be needing a requestLongerTimeout() call.
> 
> It seems to fail during test shutdown and may just be long to finish:
> 
>  23:46:47     INFO -  17 INFO TEST-PASS |
> devtools/client/aboutdebugging/test/browser_addons_debug_bootstrapped.js |
> After uninstall, the addon name disappears from the list of addons: Firefox
> Hello,FlyWeb,IndexedDBTest,Mochitest,mozscreenshots,Multi-process staged
> rollout,Pocket,Special Powers,Web Compat,WorkerTestBootstrap -
>  23:46:47     INFO -  18 INFO Closing about:debugging
>  23:46:47     INFO -  19 INFO Removing tab.
>  23:46:47     INFO -  20 INFO Waiting for event: 'TabClose' on [object
> XULElement].
>  23:46:47     INFO -  21 INFO Got event: 'TabClose' on [object XULElement].
>  23:46:47     INFO -  22 INFO Tab removed and finished closing
>  23:46:47     INFO -  23 INFO Leaving test bound
>  23:46:47     INFO -  24 INFO TEST-UNEXPECTED-FAIL |
> devtools/client/aboutdebugging/test/browser_addons_debug_bootstrapped.js |
> This test exceeded the timeout threshold. It should be rewritten or split
> up. If that's not possible, use requestLongerTimeout(N), but only as a last
> resort.

That was my guess as well but I wanted to get some metrics before just adding a longer timeout.

I added timings to a try run here: https://treeherder.mozilla.org/#/jobs?repo=try&revision=e3459fced2c2&selectedJob=23564307
Turns out, it takes almost 30 seconds to perform "yield onCustomMessage;" after clicking on the debug button. Looks like we wait on "a notification sent by a script evaluated the test addon via the web console".

I don't think there's much we can do here to speed up this process, so I think it is ok to simply wait longer.
Created attachment 8770505 [details]
Bug 1268178 - fix browser_addons_debug_bootstrapped.js intermittent;

Review commit: https://reviewboard.mozilla.org/r/63916/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/63916/
Attachment #8770505 - Flags: review?(poirot.alex)
Try : https://treeherder.mozilla.org/#/jobs?repo=try&revision=11e009fd9ffc
Comment on attachment 8770505 [details]
Bug 1268178 - fix browser_addons_debug_bootstrapped.js intermittent;

https://reviewboard.mozilla.org/r/63916/#review60982

I imagine there is most likely many ways to optimise runtime speed of browser toolbox opening, but that sounds like a significant work.
Recently I fixed "debugger would run" exception which significantly slow down things, there may be some left?

But in the meantime, better make this test non-intermittent.
Attachment #8770505 - Flags: review?(poirot.alex) → review+

Comment 17

a year ago
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/fx-team/rev/b8b27cb2e148
fix browser_addons_debug_bootstrapped.js intermittent;r=ochameau

Comment 18

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/b8b27cb2e148
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
status-firefox50: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 50
49 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 18
* autoland: 17
* fx-team: 11
* try: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 49

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1268178&startday=2016-07-11&endday=2016-07-17&tree=all

Comment 20

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/550f70e6855f
status-firefox49: affected → fixed
Duplicate of this bug: 1278111
You need to log in before you can comment on or make changes to this bug.